from ConfigParser import ConfigParser

def readConfig(configFile):
    configParser = ConfigParser()
    if configParser.read(configFile) == []:
        raise IOError("can't find config file '%s', no such file" % configFile)
    
    returnDict = {}
    
    for section in configParser.sections():
        returnDict[section] = {}
        sectionDict = returnDict[section]
        
        for option in configParser.options(section):
            try:
                sectionDict[option] = eval(configParser.get(section, option))
            except NameError:
                raise ConfigError("invalid configuration in %s" % configFile)
            except SyntaxError:
                raise ConfigError("invalid configuration in %s" % configFile)
    
    return returnDict

class ConfigError(Exception):
    def __init__(self, value):
        self.value = value
    def __str__(self):
        return repr(self.value)
    
if __name__ == "__main__":
    from pprint import pprint
    pprint(readConfig("test.confd"))
        
    

