from os.path import isfile
from os import remove

class Lock:
    def __init__(self, fileName):
        self.fileName = fileName
        
    def close(self):
        """
        Close the lock.
        Writes the file (self.fileName) if it doesn't exist.
        If self.fileName exists IOError will be raised.
        """
        if isfile(self.fileName):
            raise IOError("file %s already exists" % self.fileName)
        
        open(self.fileName, "w").close()

            
        
    def open(self):
        """
        Opens the lock.
        WARNING: executing this function will delete self.fileName !!!
        """
        if isfile(self.fileName):
            remove(self.fileName)
            
    def isSet(self):
        """
        Returns if the lock is opend (False) or closed (True).
        """
        if isfile(self.fileName):
            return True
        else:
            return False
        
if __name__ == '__main__':
    a = Lock("test.lock")
    a.close()
    print "True <> " + str(a.isSet())
    a.open()
    print "False <> " + str(a.isSet())
    